Get an account's sales context
curl --request GET \
--url https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"planTier": "<string>",
"seatLimit": 4503599627370495,
"memberCount": 4503599627370495
},
"people": [
{
"memberId": "<string>",
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>",
"joinedAt": "2023-11-07T05:31:56Z",
"signedUpAt": "2023-11-07T05:31:56Z",
"lastObservedAt": "2023-11-07T05:31:56Z"
}
],
"opportunity": {
"organizationId": "<string>",
"organizationName": "<string>",
"organizationCreatedAt": "2023-11-07T05:31:56Z",
"kind": "follow_up",
"priority": "high",
"why": "<string>",
"action": {
"label": "<string>",
"purpose": "<string>"
},
"signals": [
{
"type": "follow_up_due",
"label": "<string>",
"at": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"adoption": {
"stage": "no_observed_use",
"members": 4503599627370495,
"joinedThisWeek": 4503599627370495,
"activeUsers": {
"current": 4503599627370495,
"previous": 4503599627370495
},
"lastObservedAt": "2023-11-07T05:31:56Z",
"skills": 4503599627370495,
"mcpConnections": 4503599627370495
},
"followUp": {
"stage": "needs_review",
"ownerUserId": "<string>",
"ownerName": "<string>",
"nextAction": "<string>",
"nextFollowUpAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"lastActionKind": "reviewed",
"lastActionAt": "2023-11-07T05:31:56Z",
"confirmedOpportunity": "expansion",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"adoption": {
"stage": "no_observed_use",
"members": 4503599627370495,
"joinedThisWeek": 4503599627370495,
"activeUsers": {
"current": 4503599627370495,
"previous": 4503599627370495
},
"lastObservedAt": "2023-11-07T05:31:56Z",
"skills": 4503599627370495,
"mcpConnections": 4503599627370495
},
"followUp": {
"stage": "needs_review",
"ownerUserId": "<string>",
"ownerName": "<string>",
"nextAction": "<string>",
"nextFollowUpAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"lastActionKind": "reviewed",
"lastActionAt": "2023-11-07T05:31:56Z",
"confirmedOpportunity": "expansion",
"updatedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"kind": "reviewed",
"occurredAt": "2023-11-07T05:31:56Z",
"actorName": "<string>",
"contactName": "<string>",
"note": "<string>",
"followUpDueAt": "2023-11-07T05:31:56Z"
}
],
"generatedAt": "2023-11-07T05:31:56Z",
"timeZone": "UTC"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Admin
Get an account's sales context
Platform-admin-only. Returns the organization’s current people (owners first, at most 25) with their existing admin-visible name, email and role, observed adoption, the transparent recommendation and its dated signals, and internal follow-up history. Internal context only: not visible to the organization.
GET
/
v1
/
admin
/
opportunities
/
accounts
/
{organizationId}
Get an account's sales context
curl --request GET \
--url https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openworklabs.com/v1/admin/opportunities/accounts/{organizationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"organization": {
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"planTier": "<string>",
"seatLimit": 4503599627370495,
"memberCount": 4503599627370495
},
"people": [
{
"memberId": "<string>",
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"role": "<string>",
"joinedAt": "2023-11-07T05:31:56Z",
"signedUpAt": "2023-11-07T05:31:56Z",
"lastObservedAt": "2023-11-07T05:31:56Z"
}
],
"opportunity": {
"organizationId": "<string>",
"organizationName": "<string>",
"organizationCreatedAt": "2023-11-07T05:31:56Z",
"kind": "follow_up",
"priority": "high",
"why": "<string>",
"action": {
"label": "<string>",
"purpose": "<string>"
},
"signals": [
{
"type": "follow_up_due",
"label": "<string>",
"at": "2023-11-07T05:31:56Z",
"userId": "<string>"
}
],
"adoption": {
"stage": "no_observed_use",
"members": 4503599627370495,
"joinedThisWeek": 4503599627370495,
"activeUsers": {
"current": 4503599627370495,
"previous": 4503599627370495
},
"lastObservedAt": "2023-11-07T05:31:56Z",
"skills": 4503599627370495,
"mcpConnections": 4503599627370495
},
"followUp": {
"stage": "needs_review",
"ownerUserId": "<string>",
"ownerName": "<string>",
"nextAction": "<string>",
"nextFollowUpAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"lastActionKind": "reviewed",
"lastActionAt": "2023-11-07T05:31:56Z",
"confirmedOpportunity": "expansion",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"adoption": {
"stage": "no_observed_use",
"members": 4503599627370495,
"joinedThisWeek": 4503599627370495,
"activeUsers": {
"current": 4503599627370495,
"previous": 4503599627370495
},
"lastObservedAt": "2023-11-07T05:31:56Z",
"skills": 4503599627370495,
"mcpConnections": 4503599627370495
},
"followUp": {
"stage": "needs_review",
"ownerUserId": "<string>",
"ownerName": "<string>",
"nextAction": "<string>",
"nextFollowUpAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"lastActionKind": "reviewed",
"lastActionAt": "2023-11-07T05:31:56Z",
"confirmedOpportunity": "expansion",
"updatedAt": "2023-11-07T05:31:56Z"
},
"history": [
{
"id": "<string>",
"kind": "reviewed",
"occurredAt": "2023-11-07T05:31:56Z",
"actorName": "<string>",
"contactName": "<string>",
"note": "<string>",
"followUpDueAt": "2023-11-07T05:31:56Z"
}
],
"generatedAt": "2023-11-07T05:31:56Z",
"timeZone": "UTC"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "forbidden",
"reason": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
denApiKeybearerAuth
Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.
Path Parameters
Response
Account context returned.
Show child attributes
Show child attributes
Maximum array length:
25Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
25Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Allowed value:
"UTC"Was this page helpful?